About RTcms

The purpose of "colour management" is to control the conversion of coloured documents or images from one "colour space" to another. Sometimes a document contains information about the colorimetric interpretation of the data it contains, but sometimes the colour space information is external to the document, and is assumed to have been configured by the recipient of the document, e.g. a printer.

The RedTitan Colour Management System can be configured to understand the implied meaning for undefined colour spaces. You supply colour space definitions by means of "ICC colour profiles"; these are files conforming to the standards defined by the International Color Consortium. These files are usually stored with either .ICC or .ICM file extensions - for example, the handy package of colour profiles available from the Adobe web site at www.adobe.com.

See also

Using RTcms


Colour Space

A 'colour space' is the term used to describe a system of specifying colours. There are quite a number of different types of colour space in common usage, and there are quite a number of variants of each type too.

When a colour space with no colorimetric interpretation is encountered, then some external definition must be supplied, or else the meaning of the colour information may be either unknown, or become altered on translation from one system to another.

Two commonly encountered colour spaces are:

RGB which represents colours using Red, Green and Blue luminous additive components.
This type of colour space is typically used by display screens and is also popular with digital cameras and scanners. Images stored in BMP, PNG, JPG and some TIF files often use this.

CMYK which represents colours using Cyan, Magenta, Yellow and blacK ink subtractive components.
This type of colour space is typically used by colour printers. Images can be stored using this colour space in TIF files.


RGB

It is often supposed that an RGB colour with its Red, Green and Blue components uniquely specifies the colour, because the colour receptors in the human eye do substantially respond this way. The eye's response, however, is not at all linear and neither is the actual light output generated by a display screen.

In addition to this there is also the issue of how the colour is perceived - see Colour perception. This means that there is not one single unique way to represent colours using RGB data. To help clarify this, the Windows operating system standardized on an RGB system called "sRGB" and this is also used by RedTitan software when processing and displaying RGB image data. But there are other RGB systems that use slightly different component values to represent the same colour.

· Note: Because colour profile processing can be slow, it is strongly recommended that if you want the sRGB interpretation of RGB then use the "--sRGB--" default mode rather than selecting an ICC profile for sRGB. The default sRGB calculation is faster and probably more exact than would be obtained from using the ICC profile file.


CMYK

This four ink colour printing system (using Cyan, Magenta, Yellow and blacK inks) is very commonly used to represent image data that has been prepared for printing (even if the component values are not exactly what the printer will be using). There are also two commonly used standardized CMYK systems which allow CMYK data to be used in a printer independent manner, called "Euroscale" and "SWOP".

Although there is a simplistic way to convert between CMYK and RGB data, this doesn't usually result in colours being correctly represented. A major factor is that RGB colour spaces are designed for luminous devices, whereas CMYK systems are designed for making colours on (usually white) paper. So while RGB devices are capable of generating quite bright light, for CMYK systems the maximum light that can be generated can never exceed, and is dependent on, the light that illuminates the paper. Even white paper doesn't reflect all the incident light so this creates a substantial mismatch between RGB and CMYK systems.


Colour perception

Because the human brain can adapt to seeing colours in very different illuminations (e.g. from sunlight to tungsten light bulb), it means that colour appearance is not absolute. Furthermore, the brain calibrates itself against other colours in the field of view, so that the colour appearance is also affected by the colours surrounding the object being viewed.

All this means that the choice of how colour information must be processed depends not just on the colours themselves. The ICC colour profiles try to simplify this and optimize for printed output, adopting a standardized viewing condition that is appropriate for this.


Using RTcms

Using RedTitan Colour Management System

To use RTcms, the 'RGB Profile' and 'CMYK Profile' must be configured. Three properties must be defined for each profile:

1. Enter the location of your ICC profiles, e.g. C:\WINDOWS\system32\spool\drivers\color\
or
Browse to the location then click Open.
2. Choose a profile type from the drop down list, e.g. "Simple conversion".
3. Choose a rendering intent from the drop down list, e.g. "Perceptual".
Click OK.

Your system is now set up for transforming from RGB and CMYK colour spaces into a CIE standard colorimetric space, ready for export. Some profiles also set up the reverse transform for import; if not, RTcms displays a warning message.

See also

RGB


ICC profiles

ICC colour profiles

The International Color Consortium defined a file format to express information about colour space transforms. These files, usually found with .ICC or .ICM extension, are what the RedTitan Colour Management System requires to process colour space transforms.

Note that ICC files are not all the same, they can have a number of different purposes.

When the RTcms dialog is shown, or after using the 'Browse' button, the profiles found in the directory selected are loaded to check what kind they are. Each profile list is loaded with the names of the profiles that seem to be appropriate.

Each profile usually describes how to transform from the specified colour space into a CIE standard colorimetric space called a "Profile Connection Space". Some profiles offer a reverse transform too, but some do not. Some rely on a reverse transform being calculated.

See also

Colour perception


Rendering intent

Conversion between colour spaces is complicated because there are different compromises to be made according to the effect desired. Also, viewing conditions can completely alter the appearance of colour, and this must also be taken into account. The rendering intent specifies the intention and helps choose what compromises must be made.

The ICC profiles define four standard "rendering intents" as follows:

□ Perceptual rendering

Colours are represented in a manner that provides a pleasing perceptual appearance.
This means that most colours are altered in order to preserve colour relationships.

□ Relative colorimetric

This maps the colours such that the original white-point maps to the new white-point. For example, a full RGB "white" is reproduced as uninked paper. Colours that are "in gamut" are reproduced exactly. Out of gamut colours cannot be reproduced as accurately.

□ Absolute colorimetric

Colours are represented solely with respect to the light source so that they be measurably the same in the new context. This does mean that they may not look the same.
One effect of this is to represent the true colour of the white on the transformed medium.
For example, as displays have a bluer "white" than printer paper, this may render an RGB white as a bluish tint when printed.

□ Saturation

Colours are represented in a manner that preserves or emphasizes saturation.
A typical use might be for business graphics, where it may be more important to distinguish dark shades from lighter hues, rather than the actual colour.

Note that some colour profiles express some rendering intents better than others.


Gamut

This is the term that refers to the range of colours that a colour space contains.

Colours are described as being "out of gamut" when there is no representation of the colour in the space in question. For example, a full sRGB "white" is out of gamut for printing where an absolute "rendering intent" is requested, for the simple reason that the paper would have to glow to reproduce it correctly.

Most common colour spaces do not have a gamut that fully encompass that of human vision, and so when converting between colour spaces some compromise is necessary since not all colours can be mapped into the new space. The rendering intent controls this compromise.

See also

Colour perception


Adobe®

 Top

Copyright Adobe Systems Inc.


Windows®

 Top

Microsoft's operating system.